<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8,00"
	Name="Player"
	ProjectGUID="{7F37ABAD-10C8-4A6E-B7D4-91279DF132FE}"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Release|Win32"
			OutputDirectory=".\Output/PlayerRelease"
			IntermediateDirectory=".\Output/PlayerRelease"
			ConfigurationType="1"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TypeLibraryName=".\Output/PlayerRelease/Player.tlb"
				HeaderFileName=""
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				InlineFunctionExpansion="1"
				AdditionalIncludeDirectories="."
				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE"
				StringPooling="true"
				RuntimeLibrary="0"
				StructMemberAlignment="3"
				EnableFunctionLevelLinking="true"
				RuntimeTypeInfo="true"
				PrecompiledHeaderFile=".\Output/PlayerRelease/Player.pch"
				AssemblerListingLocation=".\Output/PlayerRelease/"
				ObjectFile=".\Output/PlayerRelease/"
				ProgramDataBaseFileName=".\Output/PlayerRelease/"
				BrowseInformation="1"
				WarningLevel="3"
				SuppressStartupBanner="true"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1051"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="wsock32.lib"
				OutputFile=".\Output/PlayerRelease/Player.exe"
				LinkIncremental="1"
				SuppressStartupBanner="true"
				ProgramDatabaseFile=".\Output/PlayerRelease/Player.pdb"
				SubSystem="1"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
				SuppressStartupBanner="true"
				OutputFile=".\Output/PlayerRelease/Player.bsc"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory=".\Output/PlayerDebug"
			IntermediateDirectory=".\Output/PlayerDebug"
			ConfigurationType="1"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TypeLibraryName=".\Output/PlayerDebug/Player.tlb"
				HeaderFileName=""
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="."
				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;DEBUG"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				StructMemberAlignment="3"
				RuntimeTypeInfo="true"
				PrecompiledHeaderFile=".\Output/PlayerDebug/Player.pch"
				AssemblerListingLocation=".\Output/PlayerDebug/"
				ObjectFile=".\Output/PlayerDebug/"
				ProgramDataBaseFileName=".\Output/PlayerDebug/"
				BrowseInformation="1"
				WarningLevel="3"
				SuppressStartupBanner="true"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1051"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="wsock32.lib"
				OutputFile=".\Output/PlayerDebug/Player.exe"
				LinkIncremental="2"
				SuppressStartupBanner="true"
				GenerateDebugInformation="true"
				ProgramDatabaseFile=".\Output/PlayerDebug/Player.pdb"
				SubSystem="1"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
				SuppressStartupBanner="true"
				OutputFile=".\Output/PlayerDebug/Player.bsc"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Visual Release|Win32"
			OutputDirectory=".\Output/PlayerVisualRelease"
			IntermediateDirectory=".\Output/PlayerVisualRelease"
			ConfigurationType="1"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TypeLibraryName=".\Output/PlayerVisualRelease/Player.tlb"
				HeaderFileName=""
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				InlineFunctionExpansion="1"
				AdditionalIncludeDirectories=".,$(FOXDIR)/include"
				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;WITH_VISUAL"
				StringPooling="true"
				RuntimeLibrary="0"
				StructMemberAlignment="3"
				EnableFunctionLevelLinking="true"
				RuntimeTypeInfo="true"
				PrecompiledHeaderFile=".\Output/PlayerVisualRelease/Player.pch"
				AssemblerListingLocation=".\Output/PlayerVisualRelease/"
				ObjectFile=".\Output/PlayerVisualRelease/"
				ProgramDataBaseFileName=".\Output/PlayerVisualRelease/"
				WarningLevel="3"
				SuppressStartupBanner="true"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1051"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="fox.lib odbc32.lib odbccp32.lib wsock32.lib comctl32.lib"
				OutputFile=".\Output/PlayerVisualRelease/Player.exe"
				LinkIncremental="1"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories="$(FOXDIR)/lib"
				IgnoreDefaultLibraryNames="libcmt"
				ProgramDatabaseFile=".\Output/PlayerVisualRelease/Player.pdb"
				SubSystem="1"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
				SuppressStartupBanner="true"
				OutputFile=".\Output/PlayerVisualRelease/Player.bsc"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Visual Debug|Win32"
			OutputDirectory=".\Output/PlayerVisualDebug"
			IntermediateDirectory=".\Output/PlayerVisualDebug"
			ConfigurationType="1"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="false"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TypeLibraryName=".\Output/PlayerVisualDebug/Player.tlb"
				HeaderFileName=""
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories=".,$(FOXDIR)/include"
				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;DEBUG;WITH_VISUAL"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				StructMemberAlignment="3"
				RuntimeTypeInfo="true"
				PrecompiledHeaderFile=".\Output/PlayerVisualDebug/Player.pch"
				AssemblerListingLocation=".\Output/PlayerVisualDebug/"
				ObjectFile=".\Output/PlayerVisualDebug/"
				ProgramDataBaseFileName=".\Output/PlayerVisualDebug/"
				BrowseInformation="1"
				WarningLevel="3"
				SuppressStartupBanner="true"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1051"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="foxd.lib odbc32.lib odbccp32.lib wsock32.lib comctl32.lib"
				OutputFile=".\Output/PlayerVisualDebug/Player.exe"
				LinkIncremental="2"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories="$(FOXDIR)/lib"
				IgnoreDefaultLibraryNames="libcmt"
				GenerateDebugInformation="true"
				ProgramDatabaseFile=".\Output/PlayerVisualDebug/Player.pdb"
				SubSystem="1"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
				SuppressStartupBanner="true"
				OutputFile=".\Output/PlayerVisualDebug/Player.bsc"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Common"
			>
			<File
				RelativePath="Common\Interact.cpp"
				>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Visual Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Visual Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Common\Interact.h"
				>
			</File>
			<File
				RelativePath="Common\Main.cpp"
				>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Visual Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Visual Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Common\Main.h"
				>
			</File>
			<File
				RelativePath="Common\Module.h"
				>
			</File>
			<File
				RelativePath="Common\Tasks.h"
				>
			</File>
			<Filter
				Name="Interfaces"
				>
				<File
					RelativePath="Common\Interfaces\Commands.h"
					>
				</File>
				<File
					RelativePath="Common\Interfaces\Communication.h"
					>
				</File>
				<File
					RelativePath="Common\Interfaces\Control.h"
					>
				</File>
				<File
					RelativePath="Common\Interfaces\Interface.h"
					>
				</File>
				<File
					RelativePath="Common\Interfaces\MsgProcess.h"
					>
				</File>
			</Filter>
			<Filter
				Name="Support"
				>
				<File
					RelativePath="Common\Support\Debug.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Common\Support\Debug.h"
					>
				</File>
				<File
					RelativePath="Common\Support\DynArray.h"
					>
				</File>
				<File
					RelativePath="Common\Support\List.h"
					>
				</File>
			</Filter>
			<Filter
				Name="World"
				>
				<File
					RelativePath="Common\World\Angle.h"
					>
				</File>
				<File
					RelativePath="Common\World\ParamStructs.h"
					>
				</File>
				<File
					RelativePath="Common\World\Point.h"
					>
				</File>
				<File
					RelativePath="Common\World\Types.h"
					>
				</File>
				<File
					RelativePath="Common\World\Vector.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Common\World\Vector.h"
					>
				</File>
			</Filter>
			<Filter
				Name="Protocol"
				>
				<File
					RelativePath="Common\Protocol\CharString.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Common\Protocol\CharString.h"
					>
				</File>
				<File
					RelativePath="Common\Protocol\CommandGen.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Common\Protocol\CommandGen.h"
					>
				</File>
				<File
					RelativePath="Common\Protocol\Parser.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Common\Protocol\Parser.h"
					>
				</File>
				<File
					RelativePath="Common\Protocol\ParseStrings.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Common\Protocol\ParseStrings.h"
					>
				</File>
				<File
					RelativePath="Common\Protocol\ParseStructs.h"
					>
				</File>
				<File
					RelativePath="Common\Protocol\ServerSocket.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Common\Protocol\ServerSocket.h"
					>
				</File>
			</Filter>
			<Filter
				Name="NeuralNet"
				>
				<File
					RelativePath="Common\NeuralNet\NeuralNetwork.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Common\NeuralNet\NeuralNetwork.h"
					>
				</File>
				<File
					RelativePath="Common\NeuralNet\TDlambda.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Common\NeuralNet\TDlambda.h"
					>
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="Player"
			>
			<File
				RelativePath="Player\Formation.cpp"
				>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Visual Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Visual Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Player\Formation.h"
				>
			</File>
			<File
				RelativePath="Player\PlayerKernel.cpp"
				>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Visual Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Visual Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Player\PlayerKernel.h"
				>
			</File>
			<File
				RelativePath="Player\PlayerSkills.cpp"
				>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Visual Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Visual Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Player\PlayerSkills.h"
				>
			</File>
			<File
				RelativePath="Player\PlayerTactics.cpp"
				>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Visual Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Visual Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						AdditionalIncludeDirectories=""
						PreprocessorDefinitions=""
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="Player\PlayerTactics.h"
				>
			</File>
			<Filter
				Name="Interfaces (Player)"
				>
				<File
					RelativePath="Player\Interfaces\Abilities.h"
					>
				</File>
				<File
					RelativePath="Player\Interfaces\Memory.h"
					>
				</File>
				<File
					RelativePath="Player\Interfaces\Skills.h"
					>
				</File>
				<File
					RelativePath="Player\Interfaces\Synchronization.h"
					>
				</File>
				<File
					RelativePath="Player\Interfaces\Tactics.h"
					>
				</File>
			</Filter>
			<Filter
				Name="Visualization"
				>
				<File
					RelativePath="Player\Visualization\Visual.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Player\Visualization\Visual.h"
					>
				</File>
			</Filter>
			<Filter
				Name="World (Player)"
				>
				<File
					RelativePath="Player\World\Ball.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Player\World\Ball.h"
					>
				</File>
				<File
					RelativePath="Player\World\Movable.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Player\World\Movable.h"
					>
				</File>
				<File
					RelativePath="Player\World\Myself.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Player\World\Myself.h"
					>
				</File>
				<File
					RelativePath="Player\World\Params.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Player\World\Params.h"
					>
				</File>
				<File
					RelativePath="Player\World\Player.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Player\World\Player.h"
					>
				</File>
				<File
					RelativePath="Player\World\State.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Player\World\State.h"
					>
				</File>
				<File
					RelativePath="Player\World\Variables.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Player\World\Variables.h"
					>
				</File>
				<File
					RelativePath="Player\World\World.cpp"
					>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Release|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Visual Debug|Win32"
						>
						<Tool
							Name="VCCLCompilerTool"
							AdditionalIncludeDirectories=""
							PreprocessorDefinitions=""
						/>
					</FileConfiguration>
				</File>
				<File
					RelativePath="Player\World\World.h"
					>
				</File>
				<File
					RelativePath="Player\World\WorldObject.h"
					>
				</File>
			</Filter>
		</Filter>
		<File
			RelativePath="FCFarmari\Cell.cpp"
			>
			<FileConfiguration
				Name="Release|Win32"
				>
				<Tool
					Name="VCCLCompilerTool"
					AdditionalIncludeDirectories=""
					PreprocessorDefinitions=""
				/>
			</FileConfiguration>
			<FileConfiguration
				Name="Debug|Win32"
				>
				<Tool
					Name="VCCLCompilerTool"
					AdditionalIncludeDirectories=""
					PreprocessorDefinitions=""
				/>
			</FileConfiguration>
			<FileConfiguration
				Name="Visual Release|Win32"
				>
				<Tool
					Name="VCCLCompilerTool"
					AdditionalIncludeDirectories=""
					PreprocessorDefinitions=""
				/>
			</FileConfiguration>
			<FileConfiguration
				Name="Visual Debug|Win32"
				>
				<Tool
					Name="VCCLCompilerTool"
					AdditionalIncludeDirectories=""
					PreprocessorDefinitions=""
				/>
			</FileConfiguration>
		</File>
		<File
			RelativePath="FCFarmari\Cell.h"
			>
		</File>
		<File
			RelativePath="FCFarmari\Network.cpp"
			>
			<FileConfiguration
				Name="Release|Win32"
				>
				<Tool
					Name="VCCLCompilerTool"
					AdditionalIncludeDirectories=""
					PreprocessorDefinitions=""
				/>
			</FileConfiguration>
			<FileConfiguration
				Name="Debug|Win32"
				>
				<Tool
					Name="VCCLCompilerTool"
					AdditionalIncludeDirectories=""
					PreprocessorDefinitions=""
				/>
			</FileConfiguration>
			<FileConfiguration
				Name="Visual Release|Win32"
				>
				<Tool
					Name="VCCLCompilerTool"
					AdditionalIncludeDirectories=""
					PreprocessorDefinitions=""
				/>
			</FileConfiguration>
			<FileConfiguration
				Name="Visual Debug|Win32"
				>
				<Tool
					Name="VCCLCompilerTool"
					AdditionalIncludeDirectories=""
					PreprocessorDefinitions=""
				/>
			</FileConfiguration>
		</File>
		<File
			RelativePath="FCFarmari\Network.h"
			>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
